# Contributing to SAES

Thank you for considering contributing to the **SAES**! We welcome contributions that improve the tool, whether it's new features, bug fixes, or enhancements. By contributing, you help make this project better for everyone. Here's how you can get involved.

## 🎯 **How to Contribute**

1. Fork the repository
2. Create a new branch (`git checkout -b feature-branch`)
3. Commit your changes (`git commit -m 'Add new feature'`)
4. Push to the branch (`git push origin feature-branch`)
5. Create a new Pull Request

## 💬 **Pull Request Guidelines**

- **Clear and Descriptive Commit Messages**: Make sure your commit messages are clear and descriptive of the changes you've made.
- **One Change Per PR**: Try to limit your pull request to a single feature or fix to keep things simple and easy to review.
- **Follow Code Style**: Ensure that your code follows the style and conventions of the existing project.
- **Test Your Changes**: If possible, add tests for new functionality or ensure existing tests still pass.

## 📝 **Reporting Issues**

If you encounter bugs or have suggestions for improvements, please open an issue in the [Issues tab](https://github.com/jMetal/SAES).
We look forward to your contributions!

## 🙌 **Thank You for Contributing!**

Your contributions help make this tool better for everyone. We appreciate your time and effort in helping to improve the **SAES**!